Loading...
Searching...
No Matches
casacore::MSTableMaps Struct Reference
ms package (libcasa_ms) » MeasurementSets_module

More...

`#include <MSTable.h>`

## Public Member Functions

Int | columnType (const String &name) const
| Convert a name to a ColEnum or KeyEnum.
Int | keywordType (const String &name) const
Int | mapType (const std::map< Int, String > &, const String &name) const

## Public Attributes

std::map< Int, String > | columnMap_p
| ColEnum -> name.
std::map< Int, Int > | colDTypeMap_p
| ColEnum -> DataType.
std::map< Int, String > | colCommentMap_p
| ColEnum -> comment string.
std::map< Int, String > | colUnitMap_p
| ColEnum -> UNIT string.
std::map< Int, String > | colMeasureTypeMap_p
| ColEnum -> MEASURE_TYPE string.
std::map< Int, String > | keywordMap_p
| KeyEnum -> name.
std::map< Int, Int > | keyDTypeMap_p
| KeyEnum -> DataType.
std::map< Int, String > | keyCommentMap_p
| KeyEnum -> comment string.
TableDesc | requiredTD_p
| The required TableDesc.

## Detailed Description

A struct holding the maps used in MSTable.

Definition at line 47 of file MSTable.h.

## Member Function Documentation

## columnType()

Int casacore::MSTableMaps::columnType | ( | const String & | name | ) | const

inline

Convert a name to a ColEnum or KeyEnum.

Definition at line 69 of file MSTable.h.

References columnMap_p, mapType(), and casacore::name().

## keywordType()

Int casacore::MSTableMaps::keywordType | ( | const String & | name | ) | const

inline

Definition at line 71 of file MSTable.h.

References keywordMap_p, mapType(), and casacore::name().

## mapType()

Int casacore::MSTableMaps::mapType | ( | const std::map< Int, String > & | ,
|  | const String & | name ) const

References casacore::name().

Referenced by columnType(), and keywordType().

## Member Data Documentation

## colCommentMap_p

std::map<Int, String> casacore::MSTableMaps::colCommentMap_p

ColEnum -> comment string.

Definition at line 54 of file MSTable.h.

Referenced by casacore::MSTable< MSEnum >::columnStandardComment().

## colDTypeMap_p

std::map<Int, Int> casacore::MSTableMaps::colDTypeMap_p

ColEnum -> DataType.

Definition at line 52 of file MSTable.h.

Referenced by casacore::MSTable< MSEnum >::columnDataType().

## colMeasureTypeMap_p

std::map<Int, String> casacore::MSTableMaps::colMeasureTypeMap_p

ColEnum -> MEASURE_TYPE string.

Definition at line 58 of file MSTable.h.

Referenced by casacore::MSTable< MSEnum >::columnMeasureType().

## columnMap_p

std::map<Int, String> casacore::MSTableMaps::columnMap_p

ColEnum -> name.

Definition at line 50 of file MSTable.h.

Referenced by casacore::MSTable< MSEnum >::columnName(), and columnType().

## colUnitMap_p

std::map<Int, String> casacore::MSTableMaps::colUnitMap_p

ColEnum -> UNIT string.

Definition at line 56 of file MSTable.h.

Referenced by casacore::MSTable< MSEnum >::columnUnit().

## keyCommentMap_p

std::map<Int, String> casacore::MSTableMaps::keyCommentMap_p

KeyEnum -> comment string.

Definition at line 64 of file MSTable.h.

Referenced by casacore::MSTable< MSEnum >::keywordStandardComment().

## keyDTypeMap_p

std::map<Int, Int> casacore::MSTableMaps::keyDTypeMap_p

KeyEnum -> DataType.

Definition at line 62 of file MSTable.h.

Referenced by casacore::MSTable< MSEnum >::keywordDataType().

## keywordMap_p

std::map<Int, String> casacore::MSTableMaps::keywordMap_p

KeyEnum -> name.

Definition at line 60 of file MSTable.h.

Referenced by casacore::MSTable< MSEnum >::keywordName(), and keywordType().

## requiredTD_p

TableDesc casacore::MSTableMaps::requiredTD_p

The required TableDesc.

Definition at line 66 of file MSTable.h.

The documentation for this struct was generated from the following file:

- ms/MeasurementSets/MSTable.h